body,
html {
    height: 100%;
    margin: 0;
}

.save__as__table tr td {
    padding: 10px;
}

.template_title, .template-type {
    display: block;
    width: -moz-available;
    width: -webkit-fill-available;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.template_cell {
    width: 8%;
    display: table-cell;
    height: 75px;
}

.template_save_btn {
    width: -moz-available;
    width: -webkit-fill-available;
    background-color: #1c2c6b;
    cursor: pointer;
    border-radius: 5px;
    border: 1px solid #1c2c6b;
    font-size: 15px;
    color: white;
    padding: 7px;
}

.gjs-mdl-dialog-sm {
    width: 40%;
}

.editor-row {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    flex-wrap: nowrap;
    height: 100%;
}

.editor-canvas {
    flex-grow: 1;
}

.panel__right {
    flex-basis: 230px;
    position: relative;
    overflow-y: auto;
    height: calc(100vh - 80px);
    margin-top: 40px;
    margin-bottom: 40px;
}

.layers-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: space-evenly; */
    height: 100%;
    overflow-y: auto;
    padding-left: 30px;
}

.layers-container::-webkit-scrollbar {
    width: 1em;
}

.layers-container::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

.layers-container::-webkit-scrollbar-thumb {
    background-color: darkgrey;
    outline: 1px solid slategrey;
}

.page_list_box {
    text-align: center;
    border: 4px solid #ddd;
    padding: 0;
    background: aliceblue;
    font-size: 30px;
    margin-top: 2px;
    margin-right: 20px;
    margin-bottom: 2px;
    margin-left: 20px;
    /* padding: 0; */
    min-height: 150px;
    width: 110px;
    box-shadow: 0 3px 2px 0px rgba(157, 147, 147, 0.75);
    position: relative;
    background-size: cover;
    background-position: center center;
}

.page_list_box.sk_active::before {
    content: '';
    width: 20px;
    height: 20px;
    background: #023c64;
    display: block;
    position: absolute;
    z-index: 1;
    transform: rotate(45deg) translateY(-50%);
    right: -5px;
    top: 50%;
    z-index: -1;
}

.page_list_box + .page_list_box {
    margin-top: 10px;
}

a {
    display: block;
    text-decoration: none;
}

.sk_active {
    border-color: #03385d;
}

.sk_box {
    border: 1px solid #5f7e9c;
    box-shadow: 1px 1px;
    width: 30%;
    height: 204px;
    float: left;
    margin: 4px;
    cursor: pointer;
}

.sk_overflow_y {
    max-height: 400px;
    overflow-y: auto;
}

.sk_image_set {
    width: 100%;
    height: 100%;
    cursor: pointer;
}

#page__number {
    position: absolute;
    left: -45px;
    font-size: 17px;
    color: #ddd;
    top: 50%;
    transform: translateY(-50%);
}

.sk_active #page__number,
.sk_active #page__number i {
    color: #023c64;
}

.total__pages {
    margin: 0;
    padding: 0;
    font-size: 18px;
    position: absolute;
    top: 7px;
    z-index: 9999;
    color: #000;
    border-bottom: 2px solid #023c64;
    left: 0;
    right: 0;
    width: 206px;
    text-align: center;
    padding-bottom: 3px;
    font-family: Arial, Helvetica, sans-serif;
}

.total__pages span {
    color: #023c64;
}

.editor-row ::-webkit-scrollbar {
    width: 10px;
}

.editor-row ::-webkit-scrollbar-track {
    background: #000;
    border-radius: 10px;
}

.editor-row ::-webkit-scrollbar-thumb {
    background-color: #053a6f;
    border-radius: 10px;
}

.library-image {
    width: 100%;
    height: 204px;
}